﻿//Personalização
var GetPersonaType = function (data) {
    switch (data) {
        case 'B':
            $("#PersonalizadoPara").val('BMA Sistemas');
            $('#Titulo').val("WPE - Ponto Eletrônico");
            $('#Titulo').attr('readonly', true);
            $('#Sigla').val("WPE");
            $('#Sigla').attr('readonly', true);
            break;
        case 'P':
            $("#PersonalizadoPara").val('Parceiro');
            $('#Titulo').val("");
            $('#Titulo').attr('readonly', false);
            $('#Sigla').val("");
            $('#Sigla').attr('readonly', false);
            $('#Titulo').focus();
            break;
        default:
            $("#PersonalizadoPara").val('BMA Sistemas');
            break;
    }
    $('#PersonalizadoParaModal').modal('hide');
}

$("#formPersonalizacaoQuiosque").on("submit", function (event) {
    event.preventDefault();
    var form = $('#formPersonalizacaoQuiosque');
    var formData = $(this).serialize();
    var url = $(this).attr("action");
    $.ajax({
        url: url,
        type: "POST",
        data: formData,
        beforeSend: function () {
            if (form.valid()) {
                ajaxLoader();
                return true;
            }
            return false;
        },
        success: function (data) {
            bootbox.hideAll();
            if (data.status === 'success') {
                $('div#retorno').show();
                $('div#retorno').removeClass('alert alert-danger');
                $('div#retorno').addClass('alert alert-success');
                $('#retorno').html(data.message);
            } else {
                $('#retorno').show();
                $('div#retorno').removeClass('alert alert-success');
                $('div#retorno').addClass('alert alert-danger');
                $('#retorno').html(data.message);
            }
        }
    });
});

var ajaxLoader = function () {
    bootbox.dialog({
        size: "small",
        message: '<p style="text-align:center;"><img src="/imgs/bma_loader.gif" /><br />Aguarde, efetuando alterações...</p>',
        closeButton: false,
    })
}