﻿$('.get-report').on('click', function () {
    var button = $(this);
    buscarRelatorio(button);
});

function buscarRelatorio(button) {
    button.addClass('disabled').html('Aguarde');

    var periodoMovimento = button.data('periodo');
    var tipoPeriodo = button.data('tipo-periodo');
    var caminho = button.data('url-request');

    $.post(caminho, {periodoMovimento, tipoPeriodo}, function (data) {
        if (data.isValid) {
            showReport(data.url, data.title, 800, 600);
        } else {
            alert(data.message);
        }

        button.removeClass('disabled').html("Relatório");
    });

    function showReport(url, title, w, h) {
        var left = (screen.width / 2) - (w / 2);
        var top = (screen.height / 2) - (h / 2);
        return window.open(url, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);
    }
}