﻿$("#formPerfil").on("submit", function (event) {
    event.preventDefault();
    var form = $('#formPerfil');    
    var url = $(this).attr("action");
    var formData = $(this).serialize();
    var returnUrl;
    var status = false;
    var btn = $('.btn .btn-info .btn-block');
    $.ajax({
        url: url,
        type: "POST",
        data: formData,
        beforeSend: function () {
            if (form.valid()) {
                btn.button('loading');
                return true;
            }
            return false;
        },
        success: function (data) {
            if (data.status === 'success') {
                $('#retorno').show();
                $("#retorno").fadeOut(5000, "linear");
                $('div#retorno').removeClass('alert alert-danger');
                $('div#retorno').addClass('alert alert-success');                
                $('#retorno').html(data.message);                            
                status = true;
            } else {
                $('#retorno').show();
                $('div#retorno').removeClass('alert alert-success');
                $('div#retorno').addClass('alert alert-danger');
                $('#retorno').html(data.message);
            }
        },
        complete: function () {
            btn.button('reset');
            if (status === true) {
                window.setTimeout(redirect, 2500);
            }
            $(form).each(function () {
                this.reset();
            });
        }
    });
});

function redirect() {
    parent.history.back();
    return false;
}