﻿$("#formRecuperarSenha").on("submit", function (event) {
    event.preventDefault();
    var form = $('#formRecuperarSenha');
    var formData = $(this).serialize();
    var url = $(this).attr("action");        
    var status = false;
    var btn = $('#btnRecuperarSenha');
    //var returnUrl;
    $.ajax({
        url: url,
        type: "POST",
        data: formData,
        beforeSend: function () {
            if (form.valid()) {
                btn.button('loading');
                return true;
            }
            btn.button('reset');
            return false;
        },
        success: function (data) {
            if (data.status === 'success') {
                $('#retorno').show();
                $("#retorno").fadeOut(5000, "linear");
                $('div#retorno').removeClass('alert alert-danger');
                $('div#retorno').addClass('alert alert-success');
                $('#retorno').html(data.message);
                //returnUrl = data.url;
                status = true;
            } else {
                $('#retorno').show();
                $('div#retorno').removeClass('alert alert-success');
                $('div#retorno').addClass('alert alert-danger');
                $('#retorno').html(data.message);
            }
            btn.button('reset');
        },
        complete: function () {
            if (status === true) {
                $(form).each(function () {
                    this.reset();
                });
                window.setTimeout(redirect, 1500);             
            }           
        }
    });
});

function redirect(url) {    
    parent.history.back();
    return false;
}